Bug 22085 - UNIMARC default XSLT broken by Bug 14716
Summary: UNIMARC default XSLT broken by Bug 14716
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Fridolin SOMERS
QA Contact: Julian Maurice
URL:
Keywords:
Depends on: 14716
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-09 12:17 UTC by Fridolin SOMERS
Modified: 2019-01-30 08:27 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22085: fix UNIMARC default XSLT broken by Bug 14716 (4.22 KB, patch)
2019-01-09 16:26 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 22085: fix UNIMARC default XSLT broken by Bug 14716 (4.37 KB, patch)
2019-01-14 08:28 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 22085: fix UNIMARC default XSLT broken by Bug 14716 (4.42 KB, patch)
2019-01-18 13:42 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2019-01-09 12:17:22 UTC
Bug 14716 added a call to encode-uri() and namespace str.
This namespace declaration is sometimes missing in UNIMARC default XSLT files.
Comment 1 Fridolin SOMERS 2019-01-09 16:26:08 UTC
Created attachment 83754 [details] [review]
Bug 22085: fix UNIMARC default XSLT broken by Bug 14716

Bug 14716 added a call to encode-uri() and namespace str.
This namespace declaration is sometimes missing in UNIMARC default XSLT files.

This patch adds namespace declaration also where encode-uri is not used because it may be used in the future. And those files are the base for home made custom files.

Test plan :
1) Use a UNIMARC DB
2) Use default in all XSLT sysprefs
3) Apply patch
4) Perform a search on OPAC
5) Check display is OK
6) Click on a record for detail page
7) Check display is OK
8) Perform a search on staff interface
9) Check display is OK
10) Click on a record for detail page
11) Check display is OK
Comment 2 Frédéric Demians 2019-01-14 08:28:53 UTC
Created attachment 83862 [details] [review]
Bug 22085: fix UNIMARC default XSLT broken by Bug 14716

Bug 14716 added a call to encode-uri() and namespace str.  This
namespace declaration is sometimes missing in UNIMARC default XSLT
files.

This patch adds namespace declaration also where encode-uri is not used
because it may be used in the future. And those files are the base for
home made custom files.

Test plan :
1) Use a UNIMARC DB
2) Use default in all XSLT sysprefs
3) Apply patch
4) Perform a search on OPAC
5) Check display is OK
6) Click on a record for detail page
7) Check display is OK
8) Perform a search on staff interface
9) Check display is OK
10) Click on a record for detail page
11) Check display is OK

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
Comment 3 Julian Maurice 2019-01-18 13:42:29 UTC
Created attachment 84192 [details] [review]
Bug 22085: fix UNIMARC default XSLT broken by Bug 14716

Bug 14716 added a call to encode-uri() and namespace str.  This
namespace declaration is sometimes missing in UNIMARC default XSLT
files.

This patch adds namespace declaration also where encode-uri is not used
because it may be used in the future. And those files are the base for
home made custom files.

Test plan :
1) Use a UNIMARC DB
2) Use default in all XSLT sysprefs
3) Apply patch
4) Perform a search on OPAC
5) Check display is OK
6) Click on a record for detail page
7) Check display is OK
8) Perform a search on staff interface
9) Check display is OK
10) Click on a record for detail page
11) Check display is OK

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 4 Nick Clemens 2019-01-18 20:59:51 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-01-23 12:41:13 UTC
Pushed to 18.11.x for 18.11.03
Comment 6 Jesse Maseto 2019-01-23 19:26:07 UTC
Pushed to 18.05.x for 18.05.09
Comment 7 Fridolin SOMERS 2019-01-30 08:27:33 UTC
Depends on Bug 14716 not in 17.11.x